package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDataScope;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreSensitiveLevel;
import com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.TCoreCategoryLevelLog;
import java.util.List;

public class TCoreCatagoryLevelLogVO extends TCoreCategoryLevelLog {
   private List<TCoreDataScope> tCoreDataScopeList;
   private TCoreSensitiveLevel tCoreSensitiveLevel;

   public List<TCoreDataScope> getTCoreDataScopeList() {
      return this.tCoreDataScopeList;
   }

   public TCoreSensitiveLevel getTCoreSensitiveLevel() {
      return this.tCoreSensitiveLevel;
   }

   public void setTCoreDataScopeList(final List<TCoreDataScope> tCoreDataScopeList) {
      this.tCoreDataScopeList = tCoreDataScopeList;
   }

   public void setTCoreSensitiveLevel(final TCoreSensitiveLevel tCoreSensitiveLevel) {
      this.tCoreSensitiveLevel = tCoreSensitiveLevel;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreCatagoryLevelLogVO)) {
         return false;
      } else {
         TCoreCatagoryLevelLogVO other = (TCoreCatagoryLevelLogVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tCoreDataScopeList = this.getTCoreDataScopeList();
            Object other$tCoreDataScopeList = other.getTCoreDataScopeList();
            if (this$tCoreDataScopeList == null) {
               if (other$tCoreDataScopeList != null) {
                  return false;
               }
            } else if (!this$tCoreDataScopeList.equals(other$tCoreDataScopeList)) {
               return false;
            }

            Object this$tCoreSensitiveLevel = this.getTCoreSensitiveLevel();
            Object other$tCoreSensitiveLevel = other.getTCoreSensitiveLevel();
            if (this$tCoreSensitiveLevel == null) {
               if (other$tCoreSensitiveLevel != null) {
                  return false;
               }
            } else if (!this$tCoreSensitiveLevel.equals(other$tCoreSensitiveLevel)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreCatagoryLevelLogVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tCoreDataScopeList = this.getTCoreDataScopeList();
      result = result * 59 + ($tCoreDataScopeList == null ? 43 : $tCoreDataScopeList.hashCode());
      Object $tCoreSensitiveLevel = this.getTCoreSensitiveLevel();
      result = result * 59 + ($tCoreSensitiveLevel == null ? 43 : $tCoreSensitiveLevel.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreCatagoryLevelLogVO(tCoreDataScopeList=" + this.getTCoreDataScopeList() + ", tCoreSensitiveLevel=" + this.getTCoreSensitiveLevel() + ")";
   }
}
